> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Details



## OpenAPI

````yaml openapi.json get /payout/details
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/details:
    parameters: []
    get:
      tags:
        - Payout
      summary: Transaction Details
      parameters:
        - name: reference
          in: query
          required: false
          description: Optional
          example: niLmtQwN3dGcIGfq4pAOKV9EX6fBfamTUHto
          schema:
            type: string
        - name: transactionId
          in: query
          required: false
          description: Optional
          example: 0899fb49-2610-4ee1-86d3-819addf0f2c1
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '570'
            ETag:
              schema:
                type: string
              example: W/"23a-EN/1Q4SIkwLXsBBfLuSUdTjMQuc"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 02 Jul 2024 07:37:43 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Transaction Details - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      transaction:
                        type: object
                        properties:
                          id:
                            type: string
                          vat:
                            type: integer
                          type:
                            type: string
                          amount:
                            type: integer
                          status:
                            type: string
                          charges:
                            type: integer
                          reference:
                            type: string
                          sessionId:
                            type: string
                            format: utc-millisec
                          amountProcessed:
                            type: integer
                          createdAt:
                            type: string
                            format: date-time
                          narration:
                            type: string
                          recipientBankCode:
                            type: string
                            format: color
                          recipientBankName:
                            type: string
                          recipientAccountName:
                            type: string
                          originatorAccountName:
                            type: string
                          recipientAccountNumber:
                            type: string
                            format: utc-millisec
                          originatorAccountNumber:
                            type: string
                            format: utc-millisec
              example:
                status: true
                data:
                  transaction:
                    id: d59f2712-af22-4688-b1dd-28fb9247c435
                    vat: 0
                    type: DEBIT
                    amount: 300
                    status: SUCCESS
                    charges: 20
                    reference: rxX1EL7jfsqjxiSOv3RE4vZ6VF8S3uZqioom
                    sessionId: '999270240702083018639691105708'
                    amountProcessed: 320
                    createdAt: '2024-07-02T07:30:17.407Z'
                    narration: Testing schedule transaction
                    recipientBankCode: '000023'
                    recipientBankName: PROVIDUS BANK
                    recipientAccountName: SIMI MICHELLE
                    originatorAccountName: Henry Balo
                    recipientAccountNumber: '2394934324'
                    originatorAccountNumber: '4443355297'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````